Bug 12521 - server does not work properly
: server does not work properly
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/tightvnc-server)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-09 19:39 by
Modified: 2007-11-11 20:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-09 19:39:08
Пара небольших ошибок в скриптах tightvnc-server. Пишу их вместе поскольку они
очень мелкие и легко исправляемые.
1 в скрипте vncserver переменная fontPath ссылается на tcp порт, а надо бы на
сокет как в прежнем vnc-server
2 при попытке запустить tightvnc-server как сервис - он не стартует т.к. юзер в
стартовом скрипте меняется, а вот переменные окружения нет. В итоге от имени
этого юзера скрипт пытается создать /root/.vnc
------- Comment #1 From 2007-08-12 21:50:03 -------
Подтверждаю, исправлю, выложу
------- Comment #2 From 2007-08-20 08:54:16 -------
Посмотрите, правильно ли я исправил в alt4?
Если правильно - закройте баг, если неправильно, пожалуйста напишите, что именно
неправильно.
------- Comment #3 From 2007-08-20 21:05:47 -------
Посмотрю как только он дойдет до сизифа.

Еще один ньюанс нашел. Дело в том что vnc сервер не имеет зависимостей на другие
пакеты. В то же время, он не будет работать без некоторого минимума xogr.
Думаю стоит поставить зависимости на пакеты
  xorg-x11-xfs
  xorg-x11-server-common
ну и window manager какой-то нужен. Простейший вариант - twm.
------- Comment #4 From 2007-08-21 07:41:34 -------
Зависимости поправлены. А вот на twm зависимость ставить не буду, так как это
дело вкуса. Оно и без него нормально работает - если окошки двигать не надо.
------- Comment #5 From 2007-08-21 07:42:26 -------
(In reply to comment #4)
> Зависимости поправлены. А вот на twm зависимость ставить не буду, так как это
> дело вкуса. Оно и без него нормально работает - если окошки двигать не надо.
Уточняю: поправлены в alt5 и в git.
------- Comment #6 From 2007-08-21 20:24:09 -------
xfs не нужен, в Debian всё прекрасно работает без него.
------- Comment #7 From 2007-08-21 22:17:02 -------
(In reply to comment #6)
> xfs не нужен, в Debian всё прекрасно работает без него.
В Debian может и не нужен. На сколько мне известно, у нас xorg без xfs нормально
не работает и это не бага, а сознательная фича.

Наверное стоит уточнить у Валеры Иноземцева. Он собирает эти пакеты.

Посмотрел скрипт запуска в alt4. Есть небольшое замечание. При запуске su имеет
смысл добавить -s /bin/sh. Потому как если вы запускаете сервер от какого-то
пользователся, а этот пользователь вставил себе в .bash_profie что-нибудь типа
screen -RD && exit то vncserver никогда не запустится.

Остальное все отлично.
------- Comment #8 From 2007-08-21 22:56:02 -------
Не работает
chkconfig vncserver --list
------- Comment #9 From 2007-08-29 13:36:36 -------
(In reply to comment #8)
> Не работает
> chkconfig vncserver --list

Работает.
chkconfig vncserver --list
service vncserver supports chkconfig, but is not referenced in any runlevel (run
'chkconfig --add vncserver')
После
 chkconfig --add vncserver
[root@ibmtest ~]# chkconfig vncserver --list
vncserver       0:off   1:off   2:off   3:off   4:off   5:off   6:off


Так как он не запускается ни в одном runlevel-e по умолчанию, то это и есть
нормальное поведение.

Все баги поправлены, меняю статус на FIXED, прошу вновь открытые претензии
открывать как новые баги.
------- Comment #10 From 2007-08-29 19:44:24 -------
Спасибо
------- Comment #11 From 2007-11-09 19:37:54 -------
tightvnc-server-1.3.9-alt7
Опять fontPath ссылается на tcp порт вместо сокета.
------- Comment #12 From 2007-11-09 21:42:11 -------
Пожалуйста, откройте новый баг для вопросов по socket. Этот баг я помечаю
resolved. В нем слишком много других тем затронуто.
Для меня $fontPath = "unix/:7100";  работает отлично.
Если вы хотите изменить это на своей машине - поменяйте руками в файле
/usr/bin/vncserver
------- Comment #13 From 2007-11-09 21:44:40 -------
Может быть вынести секцию настроек в что-то типа /etc/tightvnc.conf из файла
/usr/bin/vncserver?
$geometry = "1024x768";
$depth = 24;
$desktopName = "X";
$vncClasses = "/usr/share/vnc/classes";
$vncUserDir = "$ENV{HOME}/.vnc";
$fontPath = "unix/:7100";
$authType = "-rfbauth $vncUserDir/passwd";

Вот это всё?